aboutsummaryrefslogtreecommitdiff
path: root/test/rust
diff options
context:
space:
mode:
Diffstat (limited to 'test/rust')
-rw-r--r--test/rust/rust_at_pinned_version.sh15
-rw-r--r--test/rust/scenarios.json10
2 files changed, 25 insertions, 0 deletions
diff --git a/test/rust/rust_at_pinned_version.sh b/test/rust/rust_at_pinned_version.sh
new file mode 100644
index 0000000..2954a7a
--- /dev/null
+++ b/test/rust/rust_at_pinned_version.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "cargo version" cargo --version
+check "rustc version" rustc --version
+check "correct rust version" rustc --version | grep 1.62.0
+
+
+# Report result
+reportResults \ No newline at end of file
diff --git a/test/rust/scenarios.json b/test/rust/scenarios.json
new file mode 100644
index 0000000..4a2d540
--- /dev/null
+++ b/test/rust/scenarios.json
@@ -0,0 +1,10 @@
+{
+ "rust_at_pinned_version": {
+ "image": "ubuntu:focal",
+ "features": {
+ "rust": {
+ "version": "1.62.0"
+ }
+ }
+ }
+} \ No newline at end of file